<?

	session_start();

	include "../../include/baza_danych.php";
	include "../../include/check_login.php";
	include "../../include/functions.php";

	if(!isset($go)){
		$go = 'naglowek';
	}
	
?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
	<link rel="stylesheet" type="text/css" href="../css/main.css" media="screen" />
	<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="../css/ie6_or_less.css" />
	<![endif]-->
	<script type="text/javascript" src="../js/common.js"></script>
	<script type="text/javascript" src="../js/jquery.js"></script>	
</head>
<body id="type-a">
<div id="wrap">
<?	
	if($_GET['akcja']!="sprawdzony_adres"){
		if($_GET['strona']==""){
			$akcja = "sprawdzony_adres";
			?>
			<script type="text/javascript">
				var adres = parent.window.location.hash.substr(1);
				if(adres!=""){
					parent.Windows.getWindow('naglowek').setURL("../mod/sub/naglowek.php?go=naglowek&akcja=sprawdzony_adres&strona=" + adres + "");
				}
			</script>	
			<?
		}
	}else{
		if($_GET['strona']==""){
			$strona = "strona-glowna";
		}
	}
	
	$strona = explode(".html", $_GET['strona']);
	$strona = $strona[0];
	if($strona==NULL){
		$strona = "strona-glowna";
	}
	
	$strona_temp = explode(",", $strona);
	$strona = $strona_temp[0];

	if(!isset($subgo) OR $subgo==NULL){
		$subgo = $strona_temp[1];
	}
	
?>
	<div id="header">
		<ul id="nav">
			<li<? if($go=="naglowek"){ echo' class="active"';} else {echo' class="first"';} echo'><a href="?go=naglowek&akcja='.$akcja.'&strona='.$strona.'&subgo='.$subgo.'"'; ?>>Nagłówek prosty strony</a></li>
			<li<? if($go=="naglowek_html"){ echo' class="active"';} echo'><a href="?go=naglowek_html&akcja='.$akcja.'&strona='.$strona.'&subgo='.$subgo.'"'; ?>>Nagłówek HTML</a></li>
		</ul>
	</div>

	<div id="content-wrap">
		<div id="content">
			<div id="breadcrumb">
<?

	$wykonaj = mysql_query ("SELECT id FROM ".$db_pref."strona WHERE alias='".$strona."';");
	while($wiersz=mysql_fetch_array ($wykonaj)){
		$id_strony = $wiersz['id'];
	}

if($logged_in==1 & pd(15)){



if($go=="naglowek"){

	$naglowek_strony = NULL;

	$sql = mysql_query ("SELECT naglowek FROM ".$db_pref."naglowki WHERE id_strony='".$id_strony."' AND subgo='".$subgo."' LIMIT 1;");
	$row = mysql_fetch_array ($sql);
	$naglowek_strony = $row['naglowek'];
	
	
	if($naglowek_strony==NULL){
	   $wykonaj = mysql_query ("SELECT naglowek FROM ".$db_pref."naglowki WHERE id_strony='".$id_strony."' AND subgo=NULL LIMIT 1;");
	   while($wiersz=mysql_fetch_array ($wykonaj)){
	   	$naglowek_strony = $wiersz['naglowek'];
	   }
	}	

	if($naglowek_strony==NULL){
	   $wykonaj = mysql_query ("SELECT naglowek FROM ".$db_pref."serwis WHERE id='".$_SESSION['ID_serwisu']."' LIMIT 1;");
	   while($wiersz=mysql_fetch_array ($wykonaj)){
	   	$naglowek_strony = $wiersz['naglowek'];
	   }
	}



	if(isset($_POST['zmien'])){

	  if($_POST['p1']==null){
	  		komunikat("Błąd","Wypełnij proszę wszystkie wymagane pola");
	  }else{

		

			$naglowek_strony = str_replace(">".$_POST['p1_temp']."<", ">".$_POST['p1']."<", $naglowek_strony);
			$naglowek_strony = str_replace('description" content="'.$_POST['p2_temp'].'"', 'description" content="'.$_POST['p2'].'"', $naglowek_strony);
			$naglowek_strony = str_replace('keywords" content="'.$_POST['p3_temp'].'"', 'keywords" content="'.$_POST['p3'].'"', $naglowek_strony);
			
			
		
			$wykonaj = mysql_query ("SELECT count(*) as ilosc FROM ".$db_pref."naglowki WHERE id_strony='".$id_strony."' AND subgo='".$subgo."';");
			while($wiersz=mysql_fetch_array ($wykonaj)){
		   	$ilosc = $wiersz['ilosc'];
		   }
			
			
			if ($ilosc==0){
				$zapytanie = "INSERT INTO ".$db_pref."naglowki 
				(id_strony,subgo,naglowek) 
				VALUES 
				('".$id_strony."','".$subgo."','".$naglowek_strony."')";
				
				$dodaj = mysql_query($zapytanie);
				
			}else{
				$update = mysql_query("UPDATE ".$db_pref."naglowki SET naglowek='".$naglowek_strony."' WHERE id_strony='".$id_strony."' AND (subgo='".$subgo."' OR subgo='');");
			}

	      if(($update) or ($dodaj)){
				komunikat("Komunikat","Nagłówek strony został zmieniony pomyślnie");
			}

	   }

	}


	
	
	
	
	$naglowek_strony = NULL;

	$sql = mysql_query("SELECT naglowek FROM ".$db_pref."naglowki WHERE id_strony='".$id_strony."' AND subgo='".$subgo."' LIMIT 1;");
	$row = mysql_fetch_array($sql);
	$naglowek_strony = $row['naglowek'];
	
	
	if($naglowek_strony==NULL){
	   $wykonaj = mysql_query ("SELECT naglowek FROM ".$db_pref."naglowki WHERE id_strony='".$id_strony."' AND subgo=NULL LIMIT 1;");
	   while($wiersz=mysql_fetch_array ($wykonaj)){
	   	$naglowek_strony = $wiersz['naglowek'];
	   }
	}	

	if($naglowek_strony==NULL){
	   $wykonaj = mysql_query ("SELECT naglowek FROM ".$db_pref."serwis WHERE id='".$_SESSION['ID_serwisu']."' LIMIT 1;");
	   while($wiersz=mysql_fetch_array ($wykonaj)){
	   	$naglowek_strony = $wiersz['naglowek'];
	   }
	}
	
	
	$temp = explode("<title>",$naglowek_strony);
	$temp = explode("</title>",$temp[1]);
	$p1 = $temp[0];
	$p1_temp = $p1;
	
	
	$temp = explode('description" content="',$naglowek_strony);
	$temp = explode('" />',$temp[1]);
	$p2 = $temp[0];
	$p2_temp = $p2;	

	
	$temp = explode('keywords" content="',$naglowek_strony);
	$temp = explode('" />',$temp[1]);
	$p3 = $temp[0];
	$p3_temp = $p3;		


	echo '
   <form action="?go=naglowek&akcja='.$akcja.'&subgo='.$subgo.'&strona='.$strona.'" method="post" class="f-wrap-1">
	
	   <input name="strona" value="'.$strona.'" type="hidden">
		<input name="subgo" value="'.$subgo.'" type="hidden">
		
		<input name="p1_temp" value="'.$p1_temp.'" type="hidden">
		<input name="p2_temp" value="'.$p2_temp.'" type="hidden">
		<input name="p3_temp" value="'.$p3_temp.'" type="hidden">
		
	   <div class="req"><b>*</b> Pola wymagane</div>
	   <fieldset>
	   <h3>Zmiana nagłówka strony: '.$strona.' '.$subgo.'</h3>
		
	   <label for="p1"><b><span style="color:#c00;font-size:120%">* </span>Tytuł strony:</b> 
			<input id="p1" name="p1" type="text" class="f-name" tabindex="1" value="'.$p1.'" />
	   </label>
		
	   <label for="p2"><b>Opis:</b> 
			<input id="p2" name="p2" type="text" class="f-name" tabindex="2" value="'.$p2.'" />
	   </label>		
		
	   <label for="p3"><b>Słowa kluczowe:</b> 
			<input id="p3" name="p3" type="text" class="f-name" tabindex="3" value="'.$p3.'" />
	   </label>		
		
		<br>
	   <div class="f-submit-wrap">
	   	<input type="submit" name="zmien" value="Zmień" class="f-submit" tabindex="4" /><br />
	   </div>
	   </fieldset>
   </form>
	';
}






if($go=="naglowek_html"){

	if(isset($_POST['zmien'])){

	  if($_POST['metatagi']==null){
	  		komunikat("Błąd","Wypełnij proszę wszystkie wymagane pola");
	  }else{

		
		
		
			$wykonaj = mysql_query ("SELECT count(*) as ilosc FROM ".$db_pref."naglowki WHERE id_strony='".$id_strony."' AND subgo='".$subgo."';");
			while($wiersz=mysql_fetch_array ($wykonaj)){
		   	$ilosc = $wiersz['ilosc'];
		   }
			
			
			if ($ilosc==0){
				$zapytanie = "INSERT INTO ".$db_pref."naglowki 
				(id_strony,subgo,naglowek) 
				VALUES 
				('".$id_strony."','".$subgo."','".$_POST['metatagi']."')";
				
				$dodaj = mysql_query($zapytanie);
			}else{
				$update = mysql_query("UPDATE ".$db_pref."naglowki SET naglowek='".$_POST['metatagi']."' WHERE id_strony='".$id_strony."' AND (subgo='".$subgo."' OR subgo='');");
			}

	      if(($update) or ($dodaj)){
				komunikat("Komunikat","Nagłówek strony został zmieniony pomyślnie");
			}

	   }

	}

	
	
	
	$naglowek_strony = NULL;

	$sql = mysql_query ("SELECT naglowek FROM ".$db_pref."naglowki WHERE id_strony='".$id_strony."' AND subgo='".$subgo."' LIMIT 1;");
	$row=mysql_fetch_array ($sql);
	$naglowek_strony = $row['naglowek'];
	
	
	if($naglowek_strony==NULL){
	   $wykonaj = mysql_query ("SELECT naglowek FROM ".$db_pref."naglowki WHERE id_strony='".$id_strony."' AND subgo=NULL LIMIT 1;");
	   while($wiersz=mysql_fetch_array ($wykonaj)){
	   	$naglowek_strony = $wiersz['naglowek'];
	   }
	}	

	if($naglowek_strony==NULL){
	   $wykonaj = mysql_query ("SELECT naglowek FROM ".$db_pref."serwis WHERE id='".$_SESSION['ID_serwisu']."' LIMIT 1;");
	   while($wiersz=mysql_fetch_array ($wykonaj)){
	   	$naglowek_strony = $wiersz['naglowek'];
	   }
	}

	
	
	echo '
	<form action="?go=naglowek_html&akcja='.$akcja.'&subgo='.$subgo.'&strona='.$strona.'" method="post" class="f-wrap-1">
	   <input name="strona" value="'.$strona.'" type="hidden">
		<input name="subgo" value="'.$subgo.'" type="hidden">
		
		
	   <div class="req"><b>*</b> Pola wymagane</div>
	   <fieldset>
	   <h3>Zmiana nagłówka strony</h3>
	   <label for="comments"><b style="width: 105px"><span style="color:#c00;font-size:120%">* </span>Meta nagłówek:</b><br>
	   <textarea id="comments" name="metatagi" class="f-comments" tabindex="1" style="font-family: Arial; font-size: 12px; color: #000000; width: 660px; height: 150px">'.$naglowek_strony.'</textarea><br />
	   </label>
	   <div class="f-submit-wrap">
	   	<input type="submit" name="zmien" value="Zmień" class="f-submit" tabindex="2" /><br />
	   </div>
	   </fieldset>
   </form>
	';
}

















if($go=="serwis"){

	$wykonaj = mysql_query ("SELECT * FROM ".$db_pref."serwis WHERE id=".$_SESSION['ID_serwisu'].";");
	if($wykonaj){
		while($wiersz=mysql_fetch_array ($wykonaj)){
			$nazwa = $wiersz['nazwa'];
			$domena = $wiersz['domena'];
			$naglowek = $wiersz['naglowek'];
		}
	}

	echo $komunikat.'
			<form action="?go=serwis" method="post" class="f-wrap-1">
			<div class="req"><b>*</b> Pola wymagane</div>
			<fieldset>
			<h3>Zmiana danych serwisu</h3>
			<label for="firstname"><b><span class="req">*</span>Nazwa:</b>
			<input id="firstname" value="'.$nazwa.'" name="nazwa" type="text" class="f-name" tabindex="1" /><br />
			</label>
			<label for="lastname"><b><span class="req">*</span>Domena:</b>
			<input id="lastname" value="'.$domena.'" name="domena" type="text" class="f-name" tabindex="2" /><br />
			</label>
			<label for="comments"><b><span class="req">*</span>MetaTagi:</b>
			<textarea id="comments" name="metatagi" class="f-comments" rows="7" cols="35" tabindex="3">'.$naglowek.'</textarea><br />
			</label>
			<div class="f-submit-wrap">
				<input type="submit" name="zmien" value="Zmien" class="f-submit" tabindex="4" /><br />
			</div>
			</fieldset>
			</form>
	';
}





}if($logged_in==0 or !pd(15)){echo'<center><h2>BRAK DOSTĘPU</h2></center>';}	

?>	

			</div>

		</div>

	</div>

</div>

</body>

</html>

